> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Facets



## OpenAPI

````yaml /openapi.json get /v1/issues/facets
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/facets:
    get:
      tags:
        - issues
      summary: Issue Facets
      operationId: issue_facets_v1_issues_facets_get
      parameters:
        - in: query
          name: facets
          required: false
          schema:
            default: status,severity,source,assignee,team,risk_band
            title: Facets
            type: string
        - description: >-
            Case-insensitive substring match against title, body, or external
            ID.
          in: query
          name: q
          required: false
          schema:
            anyOf:
              - maxLength: 200
                type: string
              - type: 'null'
            description: >-
              Case-insensitive substring match against title, body, or external
              ID.
            title: Q
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: severity
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Severity
        - in: query
          name: source
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - in: query
          name: pattern_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pattern Id
        - in: query
          name: assignee_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Assignee Id
        - in: query
          name: team
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Team
        - in: query
          name: risk_min
          required: false
          schema:
            anyOf:
              - maximum: 100
                minimum: 0
                type: integer
              - type: 'null'
            title: Risk Min
        - in: query
          name: risk_max
          required: false
          schema:
            anyOf:
              - maximum: 100
                minimum: 0
                type: integer
              - type: 'null'
            title: Risk Max
        - description: ISO-8601 UTC. Inclusive start of the [date_from, date_to) range.
          in: query
          name: date_from
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: ISO-8601 UTC. Inclusive start of the [date_from, date_to) range.
            title: Date From
        - description: >-
            ISO-8601 UTC. Exclusive end of the [date_from, date_to) range — an
            issue with source_created_at exactly equal to date_to is NOT
            included.
          in: query
          name: date_to
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              ISO-8601 UTC. Exclusive end of the [date_from, date_to) range — an
              issue with source_created_at exactly equal to date_to is NOT
              included.
            title: Date To
        - description: >-
            Filter to issues that have (true) or do not have (false) an
            associated pattern.
          in: query
          name: has_pattern
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: >-
              Filter to issues that have (true) or do not have (false) an
              associated pattern.
            title: Has Pattern
        - in: query
          name: sort
          required: false
          schema:
            default: '-risk_score'
            title: Sort
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Issue Facets V1 Issues Facets Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````